# Bibliothèque de Calcul Matriciel

**Auteur**: Hamadou BA  
**GitLab**: [Lien vers le projet](https://www-apps.univ-lehavre.fr/forge/bh243413/tp1-ps-bibliotheque-de-calcul-matriciel.git)

## Description

Ce projet implémente une bibliothèque de calcul matriciel en Java. Il permet de manipuler des matrices et des vecteurs, d'effectuer des opérations classiques comme l'addition, la multiplication et le produit scalaire, et d'effectuer des lectures/écritures depuis/vers des fichiers.

Le code inclut des classes pour gérer les matrices et les vecteurs, avec des méthodes pour effectuer des opérations courantes, telles que l'accès à un coefficient, la modification d'un coefficient, et le calcul du produit scalaire.

## Fonctionnalités

- **Vecteurs**:
  - Création d'un vecteur à partir d'un tableau de coefficients.
  - Chargement d'un vecteur depuis un fichier.
  - Modification des coefficients d'un vecteur.
  - Calcul du produit scalaire entre deux vecteurs.

- **Matrices**:
  - Création d'une matrice à partir d'un tableau 2D.
  - Addition de matrices.
  - Multiplication de matrices.
  - Lecture et écriture depuis/vers des fichiers.

## Prérequis

Avant de pouvoir utiliser la bibliothèque, vous devez avoir Java installé sur votre machine.

### Version de Java

- Java 8 ou supérieur.
